# rc3.world Best Practices


## Best Practices

Folgende Punkte haben sich nach der letztjährigen rc3 und darauf folgenden divocs
(abgesehen von den technischen Anforderungen, die Workadventure selbst an die
Karten stellt) als Best Practices im Kartendesign herausgebildet. Bitte behaltet 
sie beim Gestalten eurer Assemblies im Hinterkopf.

## Logik:
- Kollisionen nur dort einbauen, wo sie Sinn ergeben — vermeidet also bitte
  Dinge wie unsichtbare Wände
- Ausgänge (besonders zurück zu eurer Haupt-Map) deutlich sichtbar gestalten,
  keine Sackgassen-Maps ohne Ausgang bauen
- "Rätsel"-Maps sollten einen leicht und schnell auffindbaren Ausgang direkt 
  neben dem Start haben, der direkt zurück führt, idealerweise sollte man nicht
  aus Versehen in eine Rätsel-Map hineinfallen können.
- Bitte vermeidet endlose Exit-Schleifen oder kennzeichnet sie klar als Portal
  (Ausgänge sollten nicht auf Eingänge auf der gleichen Map verweisen)
- Aktive Elemente nicht so dicht nebeneinander legen, dass das Durchqueren der
  Map einem Hindernisrennen gleicht (insbesondere wenn die Map eine 
  Verbindungsfunktion hat)

## Accessibility:
- Animationen vermeiden oder unaufdringlich gestalten
- achtet auf ausreichend Kontrast (besonders zwischen e.g. Wänden/Boden)
- Musikeinspielung und Jitsis in der Map kennzeichnen (etwa durch ein Schild),
  und nicht direkt an den Eingang platzieren, sodass man nicht versehentlich
  darin landet
- Jitsis so platzieren, dass man sie umgehen kann
- Ruhezonen vorsehen (ein Layer mit `silent` auf `true`)
- schmale Durchgänge als Ruhezone einstellen oder Durchgänge breit genug zum Ausweichen anlegen
- bei Übergängen zwischen Karten möglichst die Laufrichtung berücksichtigen —
  läuft man geradeaus durch einen Übergang und dann weiter, sollte man nicht
  direkt wieder in einem Ausgang landen. Im Zweifel baut einfach ein paar Kacheln
  Abstand dazwischen ein
- Gegebenenfalls Content Warnings einblenden
- Warnung vor z.B. langatmigen Labyrinthen oder stark flackernde Animationen 
  als Schild nebem dem Exit zur entsprechenden Karte oder early exit direkt 
  an deren Anfang

## Zugänglichkeit auch ohne die world
Nicht jede\*r kann oder will über die world mit der Veranstaltung interagieren.
So schön eure liebevoll gepixelten Welten also auch sein mögen — denkt darüber
nach, wie euer Assembly auch ohne diese erreichbar sein kann, und tragt z.B.
eure jitsi-Räume (insbesondere wenn dort Sessions/Workshops stattfinden!) im
Hub in euer Assembly ein, veröffentlicht euren Schedule nicht nur als Schild
in der Karte, etc.

